Bug 649056 (CVE-2010-3870) - CVE-2010-3870 php: XSS mitigation bypass via utf8_decode()
Summary: CVE-2010-3870 php: XSS mitigation bypass via utf8_decode()
Status: CLOSED ERRATA
Alias: CVE-2010-3870
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20090927,reported=20101102,sou...
Keywords: Security
Depends On: 626733 626734 626735 626736 649186 650877 651953 670461
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-02 20:36 UTC by Vincent Danen
Modified: 2019-06-08 18:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-04 09:08:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0919 normal SHIPPED_LIVE Moderate: php security update 2010-11-29 21:33:48 UTC
Red Hat Product Errata RHSA-2011:0195 normal SHIPPED_LIVE Moderate: php security update 2011-02-03 18:56:12 UTC

Description Vincent Danen 2010-11-02 20:36:10 UTC
A flaw in how PHP handles decoding UTF8 sequences was reported [1], [2].  A number of attack scenarios are mentioned there that permit malformed UTF8 sequences to bypass intended XSS protections.

This issue has been assigned the name CVE-2010-3870 and was fixed in PHP 5.3 [3], although it looks as though parts of the issue were fixed in the 5.2.11 release.

[1] http://bugs.php.net/bug.php?id=49687
[2] http://sirdarckcat.blogspot.com/2009/10/couple-of-unicode-issues-on-php-and.html
[3] http://svn.php.net/viewvc/?view=revision&revision=304959

Comment 4 Huzaifa S. Sidhpurwala 2010-11-03 06:49:35 UTC
Created php tracking bugs for this issue

Affects: fedora-all [bug 649186]

Comment 11 Vincent Danen 2010-11-15 17:30:26 UTC
Fixed on 5.2 branch now:

http://svn.php.net/viewvc?view=revision&revision=305055

Comment 12 errata-xmlrpc 2010-11-29 21:34:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0919 https://rhn.redhat.com/errata/RHSA-2010-0919.html

Comment 14 errata-xmlrpc 2011-02-03 18:56:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0195 https://rhn.redhat.com/errata/RHSA-2011-0195.html


Note You need to log in before you can comment on or make changes to this bug.